diff --git a/conf/loopback_vhost_async_perf_dsa.cfg b/conf/loopback_vhost_async_perf_dsa.cfg
index bba33d76..1d928e16 100644
--- a/conf/loopback_vhost_async_perf_dsa.cfg
+++ b/conf/loopback_vhost_async_perf_dsa.cfg
@@ -4,7 +4,7 @@ test_parameters = {64: [1024], 128: [1024], 256: [1024], 512: [1024], 1024: [102
 test_duration = 60
 accepted_tolerance = 1
 expected_throughput = {
-	'test_loopback_split_ring_inorder_mergedable_idxd': {
+	'test_loopback_split_ring_inorder_mergeable_idxd': {
 		64: {1024: 0.00},
 		128: {1024: 0.00},
 		256: {1024: 0.00},
@@ -12,7 +12,7 @@ expected_throughput = {
 		1024: {1024: 0.00},
 		1518: {1024: 0.00}
 	},
-	'test_loopback_split_ring_inorder_non_mergedable_idxd': {
+	'test_loopback_split_ring_inorder_non_mergeable_idxd': {
 		64: {1024: 0.00},
 		128: {1024: 0.00},
 		256: {1024: 0.00},
@@ -20,7 +20,7 @@ expected_throughput = {
 		1024: {1024: 0.00},
 		1518: {1024: 0.00}
 	},
-	'test_loopback_split_ring_mergedable_idxd': {
+	'test_loopback_split_ring_mergeable_idxd': {
 		64: {1024: 0.00},
 		128: {1024: 0.00},
 		256: {1024: 0.00},
@@ -28,7 +28,7 @@ expected_throughput = {
 		1024: {1024: 0.00},
 		1518: {1024: 0.00}
 	},
-	'test_loopback_split_ring_non_mergedable_idxd': {
+	'test_loopback_split_ring_non_mergeable_idxd': {
 		64: {1024: 0.00},
 		128: {1024: 0.00},
 		256: {1024: 0.00},
@@ -36,7 +36,7 @@ expected_throughput = {
 		1024: {1024: 0.00},
 		1518: {1024: 0.00}
 	},
-	'test_loopback_split_ring_vector_rx_idxd': {
+	'test_loopback_split_ring_vectorized_idxd': {
 		64: {1024: 0.00},
 		128: {1024: 0.00},
 		256: {1024: 0.00},
@@ -44,7 +44,7 @@ expected_throughput = {
 		1024: {1024: 0.00},
 		1518: {1024: 0.00}
 	},
-	'test_loopback_packed_ring_inorder_mergedable_idxd': {
+	'test_loopback_packed_ring_inorder_mergeable_idxd': {
 		64: {1024: 0.00},
 		128: {1024: 0.00},
 		256: {1024: 0.00},
@@ -52,7 +52,7 @@ expected_throughput = {
 		1024: {1024: 0.00},
 		1518: {1024: 0.00}
 	},
-	'test_loopback_packed_ring_inorder_non_mergedable_idxd': {
+	'test_loopback_packed_ring_inorder_non_mergeable_idxd': {
 		64: {1024: 0.00},
 		128: {1024: 0.00},
 		256: {1024: 0.00},
@@ -60,7 +60,7 @@ expected_throughput = {
 		1024: {1024: 0.00},
 		1518: {1024: 0.00}
 	},
-	'test_loopback_packed_ring_mergedable_idxd': {
+	'test_loopback_packed_ring_mergeable_idxd': {
 		64: {1024: 0.00},
 		128: {1024: 0.00},
 		256: {1024: 0.00},
@@ -68,7 +68,7 @@ expected_throughput = {
 		1024: {1024: 0.00},
 		1518: {1024: 0.00}
 	},
-	'test_loopback_packed_ring_non_mergedable_idxd': {
+	'test_loopback_packed_ring_non_mergeable_idxd': {
 		64: {1024: 0.00},
 		128: {1024: 0.00},
 		256: {1024: 0.00},
@@ -76,7 +76,7 @@ expected_throughput = {
 		1024: {1024: 0.00},
 		1518: {1024: 0.00}
 	},
-	'test_loopback_packed_ring_vector_rx_idxd': {
+	'test_loopback_packed_ring_vectorized_idxd': {
 		64: {1024: 0.00},
 		128: {1024: 0.00},
 		256: {1024: 0.00},
@@ -84,7 +84,7 @@ expected_throughput = {
 		1024: {1024: 0.00},
 		1518: {1024: 0.00}
 	},
-	'test_loopback_split_ring_inorder_mergedable_vfio_pci': {
+	'test_loopback_split_ring_inorder_mergeable_vfio_pci': {
 		64: {1024: 0.00},
 		128: {1024: 0.00},
 		256: {1024: 0.00},
@@ -92,7 +92,7 @@ expected_throughput = {
 		1024: {1024: 0.00},
 		1518: {1024: 0.00}
 	},
-	'test_loopback_split_ring_inorder_non_mergedable_vfio_pci': {
+	'test_loopback_split_ring_inorder_non_mergeable_vfio_pci': {
 		64: {1024: 0.00},
 		128: {1024: 0.00},
 		256: {1024: 0.00},
@@ -100,7 +100,7 @@ expected_throughput = {
 		1024: {1024: 0.00},
 		1518: {1024: 0.00}
 	},
-	'test_loopback_split_ring_mergedable_vfio_pci': {
+	'test_loopback_split_ring_mergeable_vfio_pci': {
 		64: {1024: 0.00},
 		128: {1024: 0.00},
 		256: {1024: 0.00},
@@ -108,7 +108,7 @@ expected_throughput = {
 		1024: {1024: 0.00},
 		1518: {1024: 0.00}
 	},
-	'test_loopback_split_ring_non_mergedable_vfio_pci': {
+	'test_loopback_split_ring_non_mergeable_vfio_pci': {
 		64: {1024: 0.00},
 		128: {1024: 0.00},
 		256: {1024: 0.00},
@@ -116,7 +116,7 @@ expected_throughput = {
 		1024: {1024: 0.00},
 		1518: {1024: 0.00}
 	},
-	'test_loopback_split_ring_vector_rx_vfio_pci': {
+	'test_loopback_split_ring_vectorized_vfio_pci': {
 		64: {1024: 0.00},
 		128: {1024: 0.00},
 		256: {1024: 0.00},
@@ -124,7 +124,7 @@ expected_throughput = {
 		1024: {1024: 0.00},
 		1518: {1024: 0.00}
 	},
-	'test_loopback_packed_ring_inorder_mergedable_vfio_pci': {
+	'test_loopback_packed_ring_inorder_mergeable_vfio_pci': {
 		64: {1024: 0.00},
 		128: {1024: 0.00},
 		256: {1024: 0.00},
@@ -132,7 +132,7 @@ expected_throughput = {
 		1024: {1024: 0.00},
 		1518: {1024: 0.00}
 	},
-	'test_loopback_packed_ring_inorder_non_mergedable_vfio_pci': {
+	'test_loopback_packed_ring_inorder_non_mergeable_vfio_pci': {
 		64: {1024: 0.00},
 		128: {1024: 0.00},
 		256: {1024: 0.00},
@@ -140,7 +140,7 @@ expected_throughput = {
 		1024: {1024: 0.00},
 		1518: {1024: 0.00}
 	},
-	'test_loopback_packed_ring_mergedable_vfio_pci': {
+	'test_loopback_packed_ring_mergeable_vfio_pci': {
 		64: {1024: 0.00},
 		128: {1024: 0.00},
 		256: {1024: 0.00},
@@ -148,7 +148,7 @@ expected_throughput = {
 		1024: {1024: 0.00},
 		1518: {1024: 0.00}
 	},
-	'test_loopback_packed_ring_non_mergedable_vfio_pci': {
+	'test_loopback_packed_ring_non_mergeable_vfio_pci': {
 		64: {1024: 0.00},
 		128: {1024: 0.00},
 		256: {1024: 0.00},
@@ -156,7 +156,7 @@ expected_throughput = {
 		1024: {1024: 0.00},
 		1518: {1024: 0.00}
 	},
-	'test_loopback_packed_ring_vector_rx_vfio_pci': {
+	'test_loopback_packed_ring_vectorized_vfio_pci': {
 		64: {1024: 0.00},
 		128: {1024: 0.00},
 		256: {1024: 0.00},
diff --git a/conf/pvp_vhost_async_multi_paths_performance_dsa.cfg b/conf/pvp_vhost_async_multi_paths_performance_dsa.cfg
index 10c82cde..f0bbcb7e 100644
--- a/conf/pvp_vhost_async_multi_paths_performance_dsa.cfg
+++ b/conf/pvp_vhost_async_multi_paths_performance_dsa.cfg
@@ -36,7 +36,7 @@ expected_throughput = {
 		1024: {1024: 0.00},
 		1518: {1024: 0.00},
 	},
-	'test_perf_pvp_split_ring_vectorized_rx_idxd': {
+	'test_perf_pvp_split_ring_vectorized_idxd': {
 		64: {1024: 0.00},
 		128: {1024: 0.00},
 		256: {1024: 0.00},
@@ -116,7 +116,7 @@ expected_throughput = {
 		1024: {1024: 0.00},
 		1518: {1024: 0.00},
 	},
-	'test_perf_pvp_split_ring_vectorized_rx_vfio_pci': {
+	'test_perf_pvp_split_ring_vectorized_vfio_pci': {
 		64: {1024: 0.00},
 		128: {1024: 0.00},
 		256: {1024: 0.00},
diff --git a/conf/pvp_vhost_async_virtio_pmd_perf_dsa.cfg b/conf/pvp_vhost_async_virtio_pmd_perf_dsa.cfg
index f7b6268b..d1bb62c8 100644
--- a/conf/pvp_vhost_async_virtio_pmd_perf_dsa.cfg
+++ b/conf/pvp_vhost_async_virtio_pmd_perf_dsa.cfg
@@ -1,6 +1,6 @@
 [suite]
 update_expected = True
-test_parameters = {64: [2048], 128: [2048], 256: [2048], 512: [2048], 2048: [2048], 1280: [2048], 1518: [2048], 2048: [2048], 4096: [2048]}
+test_parameters = {64: [2048], 128: [2048], 256: [2048], 512: [2048], 1024: [2048], 1280: [2048], 1518: [2048], 2048: [2048], 4096: [2048]}
 test_duration = 60
 accepted_tolerance = 2
 expected_throughput = {
@@ -9,215 +9,261 @@ expected_throughput = {
 		128: {2048: 0.000},
 		256: {2048: 0.000},
 		512: {2048: 0.00},
-		2048: {2048: 0.000},
+		1024: {2048: 0.000},
 		1280: {2048: 0.000},
-		1518: {2048: 0.000}
+		1518: {2048: 0.000},
+		2048: {2048: 0.000},
+		4096: {2048: 0.000},
 	},
 	'test_perf_virtio_pmd_split_ring_1c_2q_idxd': {
 		64: {2048: 0.000},
 		128: {2048: 0.000},
 		256: {2048: 0.000},
 		512: {2048: 0.00},
-		2048: {2048: 0.000},
+		1024: {2048: 0.000},
 		1280: {2048: 0.000},
-		1518: {2048: 0.000}
+		1518: {2048: 0.000},
+		2048: {2048: 0.000},
+		4096: {2048: 0.000},
 	},
 	'test_perf_virtio_pmd_split_ring_2c_2q_idxd': {
 		64: {2048: 0.000},
 		128: {2048: 0.000},
 		256: {2048: 0.000},
 		512: {2048: 0.00},
-		2048: {2048: 0.000},
+		1024: {2048: 0.000},
 		1280: {2048: 0.000},
-		1518: {2048: 0.000}
+		1518: {2048: 0.000},
+		2048: {2048: 0.000},
+		4096: {2048: 0.000},
 	},
 	'test_perf_virtio_pmd_split_ring_2c_4q_idxd': {
 		64: {2048: 0.000},
 		128: {2048: 0.000},
 		256: {2048: 0.000},
 		512: {2048: 0.00},
-		2048: {2048: 0.000},
+		1024: {2048: 0.000},
 		1280: {2048: 0.000},
-		1518: {2048: 0.000}
+		1518: {2048: 0.000},
+		2048: {2048: 0.000},
+		4096: {2048: 0.000},
 	},
 	'test_perf_virtio_pmd_split_ring_4c_4q_idxd': {
 		64: {2048: 0.000},
 		128: {2048: 0.000},
 		256: {2048: 0.000},
 		512: {2048: 0.00},
-		2048: {2048: 0.000},
+		1024: {2048: 0.000},
 		1280: {2048: 0.000},
 		1518: {2048: 0.000},
 		2048: {2048: 0.000},
-		4096: {2048: 0.000}
+		4096: {2048: 0.000},
 	},
 	'test_perf_virtio_pmd_split_ring_4c_8q_idxd': {
 		64: {2048: 0.000},
 		128: {2048: 0.000},
 		256: {2048: 0.000},
 		512: {2048: 0.00},
-		2048: {2048: 0.000},
+		1024: {2048: 0.000},
 		1280: {2048: 0.000},
-		1518: {2048: 0.000}
+		1518: {2048: 0.000},
+		2048: {2048: 0.000},
+		4096: {2048: 0.000},
 	},
 	'test_perf_virtio_pmd_packed_ring_1c_1q_idxd': {
 		64: {2048: 0.000},
 		128: {2048: 0.000},
 		256: {2048: 0.000},
 		512: {2048: 0.00},
-		2048: {2048: 0.000},
+		1024: {2048: 0.000},
 		1280: {2048: 0.000},
-		1518: {2048: 0.000}
+		1518: {2048: 0.000},
+		2048: {2048: 0.000},
+		4096: {2048: 0.000},
 	},
 	'test_perf_virtio_pmd_packed_ring_1c_2q_idxd': {
 		64: {2048: 0.000},
 		128: {2048: 0.000},
 		256: {2048: 0.000},
 		512: {2048: 0.00},
-		2048: {2048: 0.000},
+		1024: {2048: 0.000},
 		1280: {2048: 0.000},
-		1518: {2048: 0.000}
+		1518: {2048: 0.000},
+		2048: {2048: 0.000},
+		4096: {2048: 0.000},
 	},
 	'test_perf_virtio_pmd_packed_ring_2c_2q_idxd': {
 		64: {2048: 0.000},
 		128: {2048: 0.000},
 		256: {2048: 0.000},
 		512: {2048: 0.00},
-		2048: {2048: 0.000},
+		1024: {2048: 0.000},
 		1280: {2048: 0.000},
-		1518: {2048: 0.000}
+		1518: {2048: 0.000},
+		2048: {2048: 0.000},
+		4096: {2048: 0.000},
 	},
 	'test_perf_virtio_pmd_packed_ring_2c_4q_idxd': {
 		64: {2048: 0.000},
 		128: {2048: 0.000},
 		256: {2048: 0.000},
 		512: {2048: 0.00},
-		2048: {2048: 0.000},
+		1024: {2048: 0.000},
 		1280: {2048: 0.000},
-		1518: {2048: 0.000}
+		1518: {2048: 0.000},
+		2048: {2048: 0.000},
+		4096: {2048: 0.000},
 	},
 	'test_perf_virtio_pmd_packed_ring_4c_4q_idxd': {
 		64: {2048: 0.000},
 		128: {2048: 0.000},
 		256: {2048: 0.000},
 		512: {2048: 0.00},
-		2048: {2048: 0.000},
+		1024: {2048: 0.000},
 		1280: {2048: 0.000},
-		1518: {2048: 0.000}
+		1518: {2048: 0.000},
+		2048: {2048: 0.000},
+		4096: {2048: 0.000},
 	},
 	'test_perf_virtio_pmd_packed_ring_4c_8q_idxd': {
 		64: {2048: 0.000},
 		128: {2048: 0.000},
 		256: {2048: 0.000},
 		512: {2048: 0.00},
-		2048: {2048: 0.000},
+		1024: {2048: 0.000},
 		1280: {2048: 0.000},
-		1518: {2048: 0.000}
+		1518: {2048: 0.000},
+		2048: {2048: 0.000},
+		4096: {2048: 0.000},
 	},
 	'test_perf_virtio_pmd_split_ring_1c_1q_vfio_pci': {
 		64: {2048: 0.000},
 		128: {2048: 0.000},
 		256: {2048: 0.000},
 		512: {2048: 0.00},
-		2048: {2048: 0.000},
+		1024: {2048: 0.000},
 		1280: {2048: 0.000},
-		1518: {2048: 0.000}
+		1518: {2048: 0.000},
+		2048: {2048: 0.000},
+		4096: {2048: 0.000},
 	},
 	'test_perf_virtio_pmd_split_ring_1c_2q_vfio_pci': {
 		64: {2048: 0.000},
 		128: {2048: 0.000},
 		256: {2048: 0.000},
 		512: {2048: 0.00},
-		2048: {2048: 0.000},
+		1024: {2048: 0.000},
 		1280: {2048: 0.000},
-		1518: {2048: 0.000}
+		1518: {2048: 0.000},
+		2048: {2048: 0.000},
+		4096: {2048: 0.000},
 	},
 	'test_perf_virtio_pmd_split_ring_2c_2q_vfio_pci': {
 		64: {2048: 0.000},
 		128: {2048: 0.000},
 		256: {2048: 0.000},
 		512: {2048: 0.00},
-		2048: {2048: 0.000},
+		1024: {2048: 0.000},
 		1280: {2048: 0.000},
-		1518: {2048: 0.000}
+		1518: {2048: 0.000},
+		2048: {2048: 0.000},
+		4096: {2048: 0.000},
 	},
 	'test_perf_virtio_pmd_split_ring_2c_4q_vfio_pci': {
 		64: {2048: 0.000},
 		128: {2048: 0.000},
 		256: {2048: 0.000},
 		512: {2048: 0.00},
-		2048: {2048: 0.000},
+		1024: {2048: 0.000},
 		1280: {2048: 0.000},
-		1518: {2048: 0.000}
+		1518: {2048: 0.000},
+		2048: {2048: 0.000},
+		4096: {2048: 0.000},
 	},
 	'test_perf_virtio_pmd_split_ring_4c_4q_vfio_pci': {
 		64: {2048: 0.000},
 		128: {2048: 0.000},
 		256: {2048: 0.000},
 		512: {2048: 0.00},
-		2048: {2048: 0.000},
+		1024: {2048: 0.000},
 		1280: {2048: 0.000},
-		1518: {2048: 0.000}
+		1518: {2048: 0.000},
+		2048: {2048: 0.000},
+		4096: {2048: 0.000},
 	},
 	'test_perf_virtio_pmd_split_ring_4c_8q_vfio_pci': {
 		64: {2048: 0.000},
 		128: {2048: 0.000},
 		256: {2048: 0.000},
 		512: {2048: 0.00},
-		2048: {2048: 0.000},
+		1024: {2048: 0.000},
 		1280: {2048: 0.000},
-		1518: {2048: 0.000}
+		1518: {2048: 0.000},
+		2048: {2048: 0.000},
+		4096: {2048: 0.000},
 	},
 	'test_perf_virtio_pmd_packed_ring_1c_1q_vfio_pci': {
 		64: {2048: 0.000},
 		128: {2048: 0.000},
 		256: {2048: 0.000},
 		512: {2048: 0.00},
-		2048: {2048: 0.000},
+		1024: {2048: 0.000},
 		1280: {2048: 0.000},
-		1518: {2048: 0.000}
+		1518: {2048: 0.000},
+		2048: {2048: 0.000},
+		4096: {2048: 0.000},
 	},
 	'test_perf_virtio_pmd_packed_ring_1c_2q_vfio_pci': {
 		64: {2048: 0.000},
 		128: {2048: 0.000},
 		256: {2048: 0.000},
 		512: {2048: 0.00},
-		2048: {2048: 0.000},
+		1024: {2048: 0.000},
 		1280: {2048: 0.000},
-		1518: {2048: 0.000}
+		1518: {2048: 0.000},
+		2048: {2048: 0.000},
+		4096: {2048: 0.000},
 	},
 	'test_perf_virtio_pmd_packed_ring_2c_2q_vfio_pci': {
 		64: {2048: 0.000},
 		128: {2048: 0.000},
 		256: {2048: 0.000},
 		512: {2048: 0.00},
-		2048: {2048: 0.000},
+		1024: {2048: 0.000},
 		1280: {2048: 0.000},
-		1518: {2048: 0.000}
+		1518: {2048: 0.000},
+		2048: {2048: 0.000},
+		4096: {2048: 0.000},
 	},
 	'test_perf_virtio_pmd_packed_ring_2c_4q_vfio_pci': {
 		64: {2048: 0.000},
 		128: {2048: 0.000},
 		256: {2048: 0.000},
 		512: {2048: 0.00},
-		2048: {2048: 0.000},
+		1024: {2048: 0.000},
 		1280: {2048: 0.000},
-		1518: {2048: 0.000}
+		1518: {2048: 0.000},
+		2048: {2048: 0.000},
+		4096: {2048: 0.000},
 	},
 	'test_perf_virtio_pmd_packed_ring_4c_4q_vfio_pci': {
 		64: {2048: 0.000},
 		128: {2048: 0.000},
 		256: {2048: 0.000},
 		512: {2048: 0.00},
-		2048: {2048: 0.000},
+		1024: {2048: 0.000},
 		1280: {2048: 0.000},
-		1518: {2048: 0.000}
+		1518: {2048: 0.000},
+		2048: {2048: 0.000},
+		4096: {2048: 0.000},
 	},
 	'test_perf_virtio_pmd_packed_ring_4c_8q_vfio_pci': {
 		64: {2048: 0.000},
 		128: {2048: 0.000},
 		256: {2048: 0.000},
 		512: {2048: 0.00},
-		2048: {2048: 0.000},
+		1024: {2048: 0.00},
 		1280: {2048: 0.000},
-		1518: {2048: 0.000}},}
+		1518: {2048: 0.000},
+		2048: {2048: 0.000},
+		4096: {2048: 0.000}},}